# Uses of Interface
org.gitana.platform.client.api.Client

Packages that use Client
Package
Description
org.gitana.platform.client.api
org.gitana.platform.client.platform
org.gitana.platform.client.support

## Uses of Client in org.gitana.platform.client.api

Classes in org.gitana.platform.client.api that implement Client
Modifier and Type
Class
Description
`class`
`ClientImpl`

## Uses of Client in org.gitana.platform.client.platform

Methods in org.gitana.platform.client.platform that return Client
Modifier and Type
Method
Description
`Client`
Platform.`createClient()`
`Client`
Platform.`createClient(com.fasterxml.jackson.databind.node.ObjectNode object)`
`Client`
PlatformImpl.`createClient()`
`Client`
PlatformImpl.`createClient(com.fasterxml.jackson.databind.node.ObjectNode object)`
`Client`
Platform.`readClient(String clientId)`
`Client`
PlatformImpl.`readClient(String clientId)`
Methods in org.gitana.platform.client.platform that return types with arguments of type Client
Modifier and Type
Method
Description
`org.gitana.platform.support.ResultMap<Client>`
Platform.`listClients()`
`org.gitana.platform.support.ResultMap<Client>`
Platform.`listClients(org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<Client>`
PlatformImpl.`listClients()`
`org.gitana.platform.support.ResultMap<Client>`
PlatformImpl.`listClients(org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<Client>`
Platform.`queryClients(com.fasterxml.jackson.databind.node.ObjectNode query)`
`org.gitana.platform.support.ResultMap<Client>`
Platform.`queryClients(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<Client>`
PlatformImpl.`queryClients(com.fasterxml.jackson.databind.node.ObjectNode query)`
`org.gitana.platform.support.ResultMap<Client>`
PlatformImpl.`queryClients(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)`
Methods in org.gitana.platform.client.platform with parameters of type Client
Modifier and Type
Method
Description
`AuthenticationGrant`
Platform.`createAuthenticationGrant(Client client, DomainUser user)`
`AuthenticationGrant`
PlatformImpl.`createAuthenticationGrant(Client client, DomainUser user)`
`void`
Platform.`deleteClient(Client client)`
`void`
PlatformImpl.`deleteClient(Client client)`
`void`
Platform.`updateClient(Client client)`
`void`
PlatformImpl.`updateClient(Client client)`

## Uses of Client in org.gitana.platform.client.support

Methods in org.gitana.platform.client.support that return Client
Modifier and Type
Method
Description
`Client`
ObjectFactory.`client(Platform platform, com.fasterxml.jackson.databind.node.ObjectNode object)`
`Client`
ObjectFactory.`client(Platform platform, Response response)`
`Client`
ObjectFactoryImpl.`client(Platform platform, com.fasterxml.jackson.databind.node.ObjectNode object)`
`Client`
ObjectFactoryImpl.`client(Platform platform, Response response)`
Methods in org.gitana.platform.client.support that return types with arguments of type Client
Modifier and Type
Method
Description
`org.gitana.platform.support.ResultMap<Client>`
ObjectFactory.`clients(Platform platform, Response response)`
`org.gitana.platform.support.ResultMap<Client>`
ObjectFactoryImpl.`clients(Platform platform, Response response)`